<%- include('./partials/header') %>

    <% if (typeof message !== 'undefined') { %>
    <div class="text-center alert <%= message['type'] === 'success' ? 'alert-success' : 'alert-warning' %> alert-dismissible"
        role="alert">
        <div><%= message['message'] %></div>
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    <% } %>

    <div class="container col-xl-10 col-xxl-8 px-4 py-5">
        <div class="row align-items-center g-lg-5 py-5">
            <div class="col-md-10 mx-auto col-lg-5">
                <h1 class="text-center">Login Form</h1>
                <form method="POST" id="loginForm" action="/api/login" class="p-4 p-md-5 border rounded-3 bg-light">
                    <div class="form-floating mb-3">
                        <input type="text" name="userName" class="form-control" id="floatingInput" placeholder="name123">
                        <label for="floatingInput">User Name</label>
                    </div>
                    <div class="form-floating mb-3">
                        <input type="password" name="password" class="form-control" id="floatingPassword"
                            placeholder="Password">
                        <label for="floatingPassword">Password</label>
                    </div>
                    <button class="w-100 btn btn-lg btn-primary" type="submit">Sign In</button>
                </form>
            </div>
        </div>
    </div>

<%- include('./partials/footer') %>